# 48. Запитване: Получаване на мрежови данни от „TopographyMap“

Заявка за извличане на изходни данни от растерния набор от данни, свързан с "TopographyMap", като `GEOJSON`  с точки или `GEOTIFF`. Атрибутът properties съдържа всички топографски производни (като dem, наклон, релефна част, грубост, аспект, hillshade и др.) за всяка точка.&#x20;

#### 1. Заявете файл за експортиране

{% hint style="danger" %}
Препоръчва се да се извлече само един набор данни с `sourceDataUrl` на заявка.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, и `MinusTwoPixels` са налични като `буфер`.

`GEOJSON` и `GEOTIFF` са налични като формат.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromTopographyMap {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      topographyMaps(topographyMapUuids: ["<placeholder_of_topography_uuid>"]) {
        uuid
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Изтеглете генерирания файл

След успешно подготвяне на файла, е възможно да го изтеглите, като използвате `curl` или подобен подход.

{% hint style="danger" %}
`sourceDataUrl` връзката е достъпна само за **60 сек.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/bg/api-dokumenti/obsh-pregled-na-zayavkite-km-geopard-api/48.-zapitvane-poluchavane-na-mrezhovi-danni-ot-topographymap.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
